Ticket #42120

transform_time of zero does not disable transforming as documented

Open Date: 2021-04-30 14:18 Last Update: 2021-05-14 23:04

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
3

Details

This is the first ticket to resolve activity _time zero mess indicated by Sveinung Kvilhaugsvik in #42105, and also in my own private notes from the time I worked on implementing ACTIVITY_CULTIVATE / ACTIVITY_PLANT (but run out of time to fix it back then).

Even in stable S2_6 and S3_0 transform_time of zero is documented to disable transform, and as such I consider it a bug that it does not, especially in these stable branches - there's more space to readjust in development branches. However, as a first step I plan to get this fixed in all branches (even in development branches where further changes are expected).

Note that we lose no ruleset flexibility in this. Zero activity time makes no sense, and is already no different from 1 when actually used - the activity is never accomplished in no time.

Ticket History (3/6 Histories)

2021-04-30 14:18 Updated by: cazfi
  • New Ticket "transform_time of zero does not disable transforming as documented" created
2021-05-01 08:07 Updated by: cazfi
  • Resolution Update from None to Accepted
2021-05-14 23:04 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login